chirp_recursive.h File Reference

A high level interface to put and get large directories trees to and from Chirp servers. More...

`#include "int_sizes.h"`
`#include <time.h>`

Go to the source code of this file.

## Functions

INT64_T | chirp_recursive_put (const char *hostport, const char *sourcepath, const char *targetpath, time_t stoptime)
| Recursively put a file or directory to a Chirp server.
INT64_T | chirp_recursive_get (const char *hostport, const char *sourcepath, const char *targetpath, time_t stoptime)
| Recursively get a file or directory from a Chirp server.

## Detailed Description

A high level interface to put and get large directories trees to and from Chirp servers.

## Function Documentation

## chirp_recursive_put()

INT64_T chirp_recursive_put | ( | const char * | hostport,
|  | const char * | sourcepath,
|  | const char * | targetpath,
|  | time_t | stoptime )

Recursively put a file or directory to a Chirp server.

Relies on chirp_reli_putfile and similar calls to handle a number of failure cases.

Parameters

  hostport | The host and port of the Chirp server.
  sourcepath | The path to the local file or directory to send.
  targetpath | The name to give the file or directory on the server.
  stoptime | The absolute time at which to abort.

Returns
  On success, returns the sum of file bytes transferred. On failure, returns less than zero and sets errno appropriately.

## chirp_recursive_get()

INT64_T chirp_recursive_get | ( | const char * | hostport,
|  | const char * | sourcepath,
|  | const char * | targetpath,
|  | time_t | stoptime )

Recursively get a file or directory from a Chirp server.

Relies on chirp_reli_getfile and similar calls to handle a number of failure cases.

Parameters

  hostport | The host and port of the Chirp server.
  sourcepath | The path to the remote file or directory to get.
  targetpath | The name to give the local file or directory.
  stoptime | The absolute time at which to abort.

Returns
  On success, returns the sum of file bytes transferred. On failure, returns less than zero and sets errno appropriately.